# Enum Class SQTagUtil.SQBase

java.lang.Object
java.lang.Enum<SQTagUtil.SQBase>
htsjdk.samtools.SQTagUtil.SQBase

All Implemented Interfaces:
  `Serializable, Comparable<SQTagUtil.SQBase>, Constable`

Enclosing class:
  `SQTagUtil`

public static enum SQTagUtil.SQBase extends Enum<SQTagUtil.SQBase>
The ordinals of these are stored in the high-order 2 bits of each byte of the SQ tag. Note that these have the convenient property that the binary complement of each ordinal, masked to the two low-order bits, is the complementary base.

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`SQ_A`
`SQ_C`
`SQ_G`
`SQ_T`

## Method Summary

Modifier and Type
Method
Description
`Character`
`getBase()`
`static SQTagUtil.SQBase`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static SQTagUtil.SQBase[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### SQ_A

public static final SQTagUtil.SQBase SQ_A

### SQ_C

public static final SQTagUtil.SQBase SQ_C

### SQ_G

public static final SQTagUtil.SQBase SQ_G

### SQ_T

public static final SQTagUtil.SQBase SQ_T

## Method Details

### values

public static SQTagUtil.SQBase[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static SQTagUtil.SQBase valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getBase

public Character getBase()